using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace turf_tasker.Migrations
{
    /// <inheritdoc />
    public partial class AddEventDetails : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<decimal>(
                name: "AppliedAmount",
                table: "LawnCareEvents",
                type: "TEXT",
                nullable: true);

            migrationBuilder.AddColumn<decimal>(
                name: "MowerHeightInches",
                table: "LawnCareEvents",
                type: "TEXT",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "ProblemObserved",
                table: "LawnCareEvents",
                type: "TEXT",
                maxLength: 250,
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "ProductUsed",
                table: "LawnCareEvents",
                type: "TEXT",
                maxLength: 200,
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "AppliedAmount",
                table: "LawnCareEvents");

            migrationBuilder.DropColumn(
                name: "MowerHeightInches",
                table: "LawnCareEvents");

            migrationBuilder.DropColumn(
                name: "ProblemObserved",
                table: "LawnCareEvents");

            migrationBuilder.DropColumn(
                name: "ProductUsed",
                table: "LawnCareEvents");
        }
    }
}
